# Aplicaciones de gráficos

## LibreCAD

Diseño en 2D

~~~~
sudo apt install librecad
~~~~

## FreeCAD

No hay ppa disponible para Ubuntu 20.

Instalamos _AppImage_ desde
[aquí](https://wiki.freecadweb.org/AppImage#FreeCAD_AppImages)

Dejo la instalación desde ppa como recordatorio.

~~~~
sudo add-apt-repository ppa:freecad-maintainers/freecad-stable
sudo apt update
sudo install freecad
~~~~

----------------------------------------------------------------------

__NOTA:__ the ccx package brings CalculiX support to the FEM
workbench, and needs to be installed separately.

----------------------------------------------------------------------


## Inkscape

El programa libre para creación y edición de gráficos vectoriales.

~~~~
sudo add-apt-repository ppa:inkscape.dev/stable
sudo apt update
sudo apt install inkscape
~~~~

## Gimp

El programa para edición y retocado de imágenes.

Parece que ahora mismo los repos están más actualizados que el ppa.
Así que bastaría con:

~~~~bash
sudo apt install gimp gimp-data gimp-texturize \
gimp-data-extras gimp-gap gmic gimp-gmic
~~~~


De todas formas dejo aquí las instrucciones para instalar desde el ppa
por si hacen falta algún dia:

~~~~
sudo apt remove gimp gimp-data
sudo add-apt-repository ppa:otto-kesselgulasch/gimp
sudo apt update
sudo apt upgrade
sudo apt install gimp gimp-data gimp-texturize \
gimp-data-extras gimp-gap gmic gimp-gmic gimp-python
~~~~

### Plugins de Gimp

Para instalar los principales plugins basta con:

~~~~
sudo apt install gimp-plugin-registry
~~~~

## Krita

La versión disponible en orígenes de software está bastante por detrás
de la disponible en la web. Basta con descargar el _Appimage_ desde la
[página web](https://krita.org)

Lo copiamos a `~/apps/krita` y creamos un lanzador con el editor de
menús.

Alternativamente también lo tenemos disponible por ppa en
<https://launchpad.net/~kritalime/+archive/ubuntu/ppa>

## MyPaint

Desde el [github](https://github.com/mypaint/) tenemos disponible la
última versión en formato _appimage_. La descargamos la dejamos en
`~/apps` y creamos un acceso con _Menulibre_, como siempre.


## Alchemy

Igual que el _MyPaint_ descargamos desde [la página
web](http://al.chemy.org), descomprimimos en `~/apps` y creamos un
accso con _Menulibre_.

## Capturas de pantalla

El [_flameshot_](https://flameshot.org) cubre el 99% de mis necesidades: `sudo apt install flameshot` instala la última versión, parece que el desarrollo se detuvo en 2022.

El [_ksnip_](https://github.com/DamirPorobic/ksnip) por si tenemos que hacer una captura con retardo, puede instalarse también bajando el paquete `.deb` desde la página web. O bien instalando con apt (la versión estable no ha cambiado desde el 2023, en el momento de escribir esto)

Shutter vuelve a estar disponible, al instalar desde este ppa ya queda con las opciones de edición habilitadas:

~~~~bash
sudo add-apt-repository ppa:linuxuprising/shutter
sudo apt update
sudo apt install shutter
~~~~

## Reoptimizar imágenes

### ImageMagick

Instalamos desde los repos, simplemente:

~~~~
sudo apt install imagemagick
~~~~

### Imagine

Nos bajamos un _AppImage_ desde el
[github](https://github.com/meowtec/Imagine/releases) de la aplicación

Tiene toda la pinta de que Imagine no me va con los graficos nvidia (con el doble monitor)

## dia

Un programa para crear diagramas

~~~~
sudo apt install dia dia-shapes gsfonts-x11
~~~~

## Blender

Bajamos el Blender linkado estáticamente de [la página
web](https://www.blender.org) y lo descomprimimos en `~/apps/blender`.

El paquete incluye un fichero `blender.desktop` que podemos editar y
copiar en `~/.local/share/applications`.


## Structure Synth

Instalado desde repos, junto con sunflow para explorar un poco.

~~~~
sudo apt install structure-synth sunflow
~~~~

## Heron animation

El proyecto parece abandonado. El software ya no funciona en el último
linux.

## Stopmotion

Primero probamos el del repo: `sudo apt install stopmotion`

## Instalación del driver digiment para tabletas gráficas Huion

Descargamos el fichero `.deb` de [la página web](https://github.com/DIGImend/digimend-kernel-drivers) y funciona perfectamente.


Para comprobar:

~~~~
xinput --list
dkms status
~~~~


La referencia para el antiguo método que usaba para instalar los drivers:

* [Aquí](https://davidrevoy.com/article331/setup-huion-giano-wh1409-tablet-on-linux-mint-18-1-ubuntu-16-04)
